Name: tinydns-bent
Version: 1.1
Release: 1
Summary: perl scripts for beautifying tinydns-data
Source: tinydns-bent-%{PACKAGE_VERSION}.tar.gz
Group: System Environment/Daemons
License: Freely Redistributable
BuildArchitectures: noarch
BuildRoot: /var/tmp/tinydns-rpmroot
%description

Two small perl scripts to help pretty up tinydns-data, the data
format used by djb's tinydns server (part of the dnscache suite) for
zone data. Both read from stdin and write to stdout.
tinydns-data-compactor pairs up matching A and PTR records,
consolidating them into unified host records. tinydns-data-beautify
sorts the records into an appealing order, divided into different
sections for each record type, and preceeds each section with a
block comment describing the format of the records in that section.

%prep
%setup

%build
pod2man tinydns-data-compactor >tinydns-data-compactor.1
pod2man tinydns-data-beautify  >tinydns-data-beautify.1
pod2man tinydns-data-pull      >tinydns-data-pull.1

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install tinydns-data-compactor   $RPM_BUILD_ROOT/usr/bin/
install tinydns-data-beautify    $RPM_BUILD_ROOT/usr/bin/
install tinydns-data-pull        $RPM_BUILD_ROOT/usr/bin/
install tinydns-data-compactor.1 $RPM_BUILD_ROOT/usr/man/man1/
install tinydns-data-beautify.1  $RPM_BUILD_ROOT/usr/man/man1/
install tinydns-data-pull.1      $RPM_BUILD_ROOT/usr/man/man1/

%files
%defattr(-,root,root)
/usr/bin/*
%doc /usr/man/man1/*

%changelog
* Wed Mar  1 2000 Bennett Todd <bet@rahul.net>
  - Version 1.1, added tinydns-data-pull
* Tue Feb 15 2000 Bennett Todd <bet@rahul.net>
  - initial wrap of version 1.0 release 1
